core / TransactionForVerification

# TransactionForVerification

`data class TransactionForVerification`

A transaction in fully resolved and sig-checked form, ready for passing as input to a verification function.

### Types

InOutGroup | `data class InOutGroup<T : ContractState>` Utilities for contract writers to incorporate into their logic.

### Constructors

<init> | `TransactionForVerification(inStates: List<ContractState>, outStates: List<ContractState>, attachments: List<Attachment>, commands: List<AuthenticatedObject<CommandData>>, origHash: SecureHash)` A transaction in fully resolved and sig-checked form, ready for passing as input to a verification function.

### Properties

attachments | `val attachments: List<Attachment>`
commands | `val commands: List<AuthenticatedObject<CommandData>>`
inStates | `val inStates: List<ContractState>`
origHash | `val origHash: SecureHash`
outStates | `val outStates: List<ContractState>`

### Functions

equals | `fun equals(other: Any?): Boolean`
getTimestampBy | `fun getTimestampBy(timestampingAuthority: Party): TimestampCommand?`
groupStates | `fun <T : ContractState> groupStates(ofType: Class<T>, selector: (T) -> Any): List<InOutGroup<T>>` `fun <T : ContractState> groupStates(selector: (T) -> Any): List<InOutGroup<T>>`
groupStatesInternal | `fun <T : ContractState> groupStatesInternal(inGroups: Map<Any, List<T>>, outGroups: Map<Any, List<T>>): List<InOutGroup<T>>`
hashCode | `fun hashCode(): Int`
verify | `fun verify(programMap: ContractFactory): Unit` Runs the contracts for this transaction.